summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTsipizidis Charalampos2016-04-08 11:43:01 +0300
committerTsipizidis Charalampos2016-04-08 11:43:01 +0300
commit53c0c0d77603d93236dbe8b73dc9cdd935ac093f (patch)
tree486894f78cb1126c83ae72e50182a94fcb7dff92
downloadaur-53c0c0d77603d93236dbe8b73dc9cdd935ac093f.tar.gz
Initial commit
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD26
2 files changed, 40 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c4debb49968
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = shtool
+ pkgdesc = GNU shtool is a compilation of small but very stable and portable shell scripts into a single shell tool.
+ pkgver = 2.0.8
+ pkgrel = 2
+ url = http://www.gnu.org/software/shtool/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = perl
+ source = ftp://ftp.gnu.org/gnu/shtool/shtool-2.0.8.tar.gz
+ md5sums = c5f7c6836882d48bc79049846a5f9c5b
+
+pkgname = shtool
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..953100b945c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Tsipizidis Charalampos <tsipizic@gmail.com>
+# Contributor: Evan Gates <evan.gates@gmail.com>
+# phloyd <phloyd@iki.fi>
+# Brandon Invergo <brandon@invergo.net>
+
+pkgname=shtool
+pkgver=2.0.8
+pkgrel=2
+pkgdesc="GNU shtool is a compilation of small but very stable and portable shell scripts into a single shell tool."
+url="http://www.gnu.org/software/shtool/"
+license=(GPL)
+arch=(i686 x86_64)
+depends=(perl)
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('c5f7c6836882d48bc79049846a5f9c5b')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir/" install || return 1
+}